> ## Documentation Index
> Fetch the complete documentation index at: https://docs.squared.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Connection



## OpenAPI

````yaml POST /api/v1/connector_definitions/check_connection
openapi: 3.0.1
info:
  title: AI Squared API
  version: 1.0.0
servers:
  - url: https://api.squared.ai
security: []
paths:
  /api/v1/connector_definitions/check_connection:
    post:
      tags:
        - Connector Definitions
      summary: Checks the connection for a specified connector definition
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - source
                    - destination
                name:
                  type: string
                connection_spec:
                  type: object
                  description: >-
                    Generic connection specification structure. Specifics depend
                    on the connector type.
                  additionalProperties: true
      responses:
        '200':
          description: Connection check successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: string
                    enum:
                      - success
                      - failure
                  details:
                    type: string
                additionalProperties: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````